let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/2kcvai34msr7syzz9033zhaw4paql2p4-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/c39jjnhr7sa6hg3albhn0sj5mv36v7a9-coreutils-8.29/bin";
  bzip2 = "/nix/store/7phgyy532v1qgzwimkbaxk1pgp69d1h3-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/ydv3747i0vv86kzky0p8d4xgfqrl40ln-gzip-1.9/bin/gzip";
  xz = "/nix/store/96fnqfnxm8vhp8m4kbl8z4p9ywirzrh6-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/0c38snmb01sr6qgswh505l7s87lnvwn0-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/c39jjnhr7sa6hg3albhn0sj5mv36v7a9-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/qpkl0cxy0xh4h432lv2qsjrmhvx5x2vy-nix-2.2/bin";
  nixPrefix = "/nix/store/qpkl0cxy0xh4h432lv2qsjrmhvx5x2vy-nix-2.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/qpkl0cxy0xh4h432lv2qsjrmhvx5x2vy-nix-2.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
